Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.groupsmanager
Interface IGroupsManagerPermissions

All Known Implementing Classes:
  GroupsManagerAdminPermissions, GroupsManagerBlockEntitySelectPermissions, GroupsManagerDefaultPermissions

    public interface IGroupsManagerPermissions

IGroupsManagerPermissions allows servants to be created using pluggable permissions policies to reflect the needs of the master channel.

Version:
  $Revision: 1.5 $
Author:
  Don Fracapane

Method Summary
`boolean` | `canAssignPermissions(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to assign permissions on the group member.
`boolean` | `canCreateGroup(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to create a subgroup under the group member.
`boolean` | `canDelete(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to delete the group member.
`boolean` | `canManageMembers(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to manage the group member.
`boolean` | `canSelect(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to select the group member.
`boolean` | `canUpdate(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to update the group member.
`boolean` | `canView(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to view the group member.
`boolean` | `canViewProperties(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to view the group member properties.

Method Detail

### canAssignPermissions

    boolean canAssignPermissions(IAuthorizationPrincipal ap,
                                 IGroupMember gm)

  Answers if the principal is able to assign permissions on the group member.

  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canCreateGroup

    boolean canCreateGroup(IAuthorizationPrincipal ap,
                           IGroupMember gm)

  Answers if the principal is able to create a subgroup under the group member.

  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canManageMembers

    boolean canManageMembers(IAuthorizationPrincipal ap,
                             IGroupMember gm)

  Answers if the principal is able to manage the group member.

  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canDelete

    boolean canDelete(IAuthorizationPrincipal ap,
                      IGroupMember gm)

  Answers if the principal is able to delete the group member.

  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canSelect

    boolean canSelect(IAuthorizationPrincipal ap,
                      IGroupMember gm)

  Answers if the principal is able to select the group member.

  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canUpdate

    boolean canUpdate(IAuthorizationPrincipal ap,
                      IGroupMember gm)

  Answers if the principal is able to update the group member.

  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canView

    boolean canView(IAuthorizationPrincipal ap,
                    IGroupMember gm)

  Answers if the principal is able to view the group member.

  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canViewProperties

    boolean canViewProperties(IAuthorizationPrincipal ap,
                              IGroupMember gm)

  Answers if the principal is able to view the group member properties.

  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD